Page MenuHomePhabricator

Session error message when trying to execute sysop/CU/OS actions
Closed, ResolvedPublic

Description

I've tried to perform this request. When trying to check over there, repeat "session error, please try again" messages appeared. I logged-out, deleted cookies, and logged-in back several times without success. Other stewards were able to check, but not me. Filling as @Glaisher suggested to me on IRC#wikimedia-operations.

Details

Related Gerrit Patches:
mediawiki/core : wmf/1.27.0-wmf.14CookieSessionProvider: It's persisted if we have a 'Token' cookie
mediawiki/core : masterCookieSessionProvider: It's persisted if we have a 'Token' cookie
mediawiki/extensions/CentralAuth : wmf/1.27.0-wmf.13CentralAuth sessions should always be persistent
mediawiki/extensions/CentralAuth : wmf/1.27.0-wmf.14CentralAuth sessions should always be persistent
mediawiki/extensions/CentralAuth : masterCentralAuth sessions should always be persistent

Event Timeline

MarcoAurelio raised the priority of this task from to Needs Triage.
MarcoAurelio updated the task description. (Show Details)
Restricted Application added subscribers: JEumerus, StudiesWorld, Aklapper. · View Herald TranscriptJan 30 2016, 6:44 PM
MarcoAurelio set Security to None.
Anomie added a comment.Feb 2 2016, 2:58 PM

If you can still reproduce, then it's not SessionManager. Otherwise, we'll have to wait for wmf.13 to see if you can reproduce then.

If you can still reproduce, then it's not SessionManager. Otherwise, we'll have to wait for wmf.13 to see if you can reproduce then.

Cannot reproduce. Checked myself at bgwiki right now and the system didn't returned to me any error message.

Krenair changed the task status from Open to Stalled.Feb 7 2016, 12:56 AM
Krenair added a subscriber: Krenair.
Luke081515 changed the task status from Stalled to Open.Feb 14 2016, 4:07 PM
Luke081515 added a subscriber: Luke081515.

I can confirm that this happen, but not only at CU actions. I get this at test2 and beta-cluster, without logout and login again I can't delete pages or block users. The problem: Sometimes logout and login again did not help.

Luke081515 renamed this task from Session error message when trying to CU at bgwiki to Session error message when trying to execute sysop/CU/OS actions.Feb 14 2016, 4:07 PM

Happened today on me again, this time at ja.wikiversity; when performing an oversight.

Tgr added a comment.Feb 14 2016, 9:27 PM

Happened today on me again, this time at ja.wikiversity; when performing an oversight.

I don't see any relevant log events: https://logstash.wikimedia.org/#dashboard/temp/AVLhq54FptxhN1Xa1_uJ

Neither do I. Nor for Luke081515 on test2wiki, all I see for him is one successful login.

We'll probably have to find a time when this is happening that I'm on IRC for some live debugging. For preparation, if you (@MarcoAurelio and/or @Luke081515) could figure out how to capture the HTTP request and response headers in your browser of choice that would likely be helpful, and if you're using Firefox or Chrome you might also install the Wikimedia Debug Firefox or Chrome browser extension.

I don't have access to logstash so I can't comment on that. What I got is a session error message when trying to perform the action, repeatedly. If this ever happens again and any of you are around on IRC, I can try to contact you.

Today at https://pdc.wikipedia.org/w/index.php?title=Joe_Alaskey&action=delete

I installed the WikimediaDegug extension for Chrome, so maybe you have something logged this time?

Maybe useful? - From console:

load.php?debug=false&lang=es&modules=jquery%2Cmediawiki&only=scripts&skin=monobook&version=vWmIJl0K:156 Use of "addOnloadHook" is deprecated. Use jQuery instead.
load.php?debug=false&lang=es&modules=jquery%2Cmediawiki&only=scripts&skin=monobook&version=vWmIJl0K:156 Use of "addOnloadHook" is deprecated. Use jQuery instead.

I don't think this is causing the issue though.

Change 270998 had a related patch set uploaded (by Anomie):
CentralAuth sessions should always be persistent

https://gerrit.wikimedia.org/r/270998

Change 270999 had a related patch set uploaded (by Anomie):
CookieSessionProvider: It's persisted if we have a 'Token' cookie

https://gerrit.wikimedia.org/r/270999

Change 270998 merged by jenkins-bot:
CentralAuth sessions should always be persistent

https://gerrit.wikimedia.org/r/270998

Change 271153 had a related patch set uploaded (by Gergő Tisza):
CentralAuth sessions should always be persistent

https://gerrit.wikimedia.org/r/271153

Change 271155 had a related patch set uploaded (by Gergő Tisza):
CentralAuth sessions should always be persistent

https://gerrit.wikimedia.org/r/271155

Change 270999 merged by jenkins-bot:
CookieSessionProvider: It's persisted if we have a 'Token' cookie

https://gerrit.wikimedia.org/r/270999

Change 271155 merged by jenkins-bot:
CentralAuth sessions should always be persistent

https://gerrit.wikimedia.org/r/271155

Change 271153 merged by jenkins-bot:
CentralAuth sessions should always be persistent

https://gerrit.wikimedia.org/r/271153

Change 272826 had a related patch set uploaded (by Gergő Tisza):
CookieSessionProvider: It's persisted if we have a 'Token' cookie

https://gerrit.wikimedia.org/r/272826

Change 272826 merged by jenkins-bot:
CookieSessionProvider: It's persisted if we have a 'Token' cookie

https://gerrit.wikimedia.org/r/272826

Tgr closed this task as Resolved.Mar 4 2016, 1:57 AM
Tgr claimed this task.

No recurrence for two weeks, I think we can call this fixed.